Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class ParameterDialog

    java.lang.Object
      |
      +--quicktime.std.movies.ParameterDialog

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ParameterDialog
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

This class creates an AtomContainer that contains the necessary information for displaying a list of effects

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static int` | `getEffectsSpeed(AtomContainer parameters)` This call returns the speed of the effect, expressed in frames-per-second
`static AtomContainer` | `showParameterDialog(AtomContainer effectList, int dialogOptions)` This call shows the dialog with the specified parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### showParameterDialog

    public static AtomContainer showParameterDialog(AtomContainer effectList,
                                                    int dialogOptions)
                                             throws QTException

  This call shows the dialog with the specified parameters. It shows this dialog as a modal dialog. This currently does not support the featureUnsuppported result, which will throw an exception. When this function is complete the
  QuickTime::QTCreateStandardParameterDialog
  QuickTime::QTIsStandardParameterDialogEvent
  QuickTime::QTDismissStandardParameterDialog

  Parameters:
    `effectList` - this passes to the create dialog routine the parameters that will govern the effects that are displayed
    `dialogOptions` - options
  Returns:
    the completed atom container that contains all of the information to display the effect.

### getEffectsSpeed

    public static int getEffectsSpeed(AtomContainer parameters)
                               throws QTException

  This call returns the speed of the effect, expressed in frames-per-second

  Parameters:
    `parameters` - the AtomContainer specifying the effect
  Returns:
    the speed of the effect in frames per second (an estimate of execution speed on a reference hardware platform)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD